Bug 210871 - www/typo3-lts: Update to 6.2.25
Summary: www/typo3-lts: Update to 6.2.25
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL: https://typo3.org/news/article/typo3-...
Keywords: patch, security
Depends on:
Blocks:
 
Reported: 2016-07-06 10:05 UTC by Helmut Ritter
Modified: 2016-07-19 12:57 UTC (History)
1 user (show)

See Also:
tz: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Torsten Zuehlsdorff freebsd_committer 2016-07-06 10:41:43 UTC
Hello,

can you please add the patch as attachment and set the maintainer-approval (next time)? Than the update will be displayed for committers.

Greetings,
Torsten
Comment 2 commit-hook freebsd_committer 2016-07-08 14:32:45 UTC
A commit references this bug:

Author: tz
Date: Fri Jul  8 14:32:05 UTC 2016
New revision: 418226
URL: https://svnweb.freebsd.org/changeset/ports/418226

Log:
  www/typo3-lts: upgrade from 6.2.21 to 6.2.25

  Changelogs:
  - https://wiki.typo3.org/TYPO3_CMS_6.2.21
  - https://wiki.typo3.org/TYPO3_CMS_6.2.22
  - https://wiki.typo3.org/TYPO3_CMS_6.2.23
  - https://wiki.typo3.org/TYPO3_CMS_6.2.24
  - https://wiki.typo3.org/TYPO3_CMS_6.2.25

  PR:           210871
  Submitted by: freebsd-ports@charlieroot.de (maintainer)
  Approved by:  junovitch (mentor)
  Security:     CVE-2016-5091
  MFH:          2016Q3

Changes:
  head/www/typo3-lts/Makefile
  head/www/typo3-lts/distinfo
Comment 3 commit-hook freebsd_committer 2016-07-08 15:48:56 UTC
A commit references this bug:

Author: tz
Date: Fri Jul  8 15:48:28 UTC 2016
New revision: 418232
URL: https://svnweb.freebsd.org/changeset/ports/418232

Log:
  MFH: r418226

  www/typo3-lts: upgrade from 6.2.21 to 6.2.25

  Changelogs:
  - https://wiki.typo3.org/TYPO3_CMS_6.2.21
  - https://wiki.typo3.org/TYPO3_CMS_6.2.22
  - https://wiki.typo3.org/TYPO3_CMS_6.2.23
  - https://wiki.typo3.org/TYPO3_CMS_6.2.24
  - https://wiki.typo3.org/TYPO3_CMS_6.2.25

  PR:           210871
  Submitted by: freebsd-ports@charlieroot.de (maintainer)
  Approved by:  junovitch (mentor)
  Security:     CVE-2016-5091

  Approved by:  ports-secteam (junovitch)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/www/typo3-lts/Makefile
  branches/2016Q3/www/typo3-lts/distinfo
Comment 4 VK freebsd_triage 2016-07-09 01:59:07 UTC
Thanks guys. Can someone please flag this merge-quarterly(+), it appears I don't have the permission...
Comment 5 Torsten Zuehlsdorff freebsd_committer 2016-07-11 15:33:52 UTC
Flagged which merge-quartlery+.

Also i reopened it with "In Progress" because the vuxml entry is missing.
Comment 6 commit-hook freebsd_committer 2016-07-19 12:55:53 UTC
A commit references this bug:

Author: tz
Date: Tue Jul 19 12:55:44 UTC 2016
New revision: 418774
URL: https://svnweb.freebsd.org/changeset/ports/418774

Log:
  www/typo3 and www/typo3-lts: Document missing access check in Extbase

  PR:          210870, 210871
  Security:    CVE-2016-5091
  Security:    https://vuxml.freebsd.org/freebsd/3caf4e6c-4cef-11e6-a15f-00248c0c745d.html
  Approved by: junovitch (mentor)

Changes:
  head/security/vuxml/vuln.xml
Comment 7 Torsten Zuehlsdorff freebsd_committer 2016-07-19 12:57:10 UTC
Missing vuxml entry committed. Now everything is done, thanks! :)